# © 2024 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    contract_guarantee_sequence_id = fields.Many2one(
        related="company_id.contract_guarantee_sequence_id", readonly=False
    )
    amount_guarantee_limit = fields.Monetary(
        related="company_id.amount_guarantee_limit", readonly=False, currency_field="company_currency_id"
    )
    fmg_rate = fields.Float("Taux FMG", related="company_id.fmg_rate", readonly=False)
    social_share_rate = fields.Float("Taux Parts Sociales", related="company_id.social_share_rate", readonly=False)
    social_share_amount_max = fields.Float("Plafond parts sociales (€)", related="company_id.social_share_amount_max", readonly=False)
